Bug 74524 - Read-error when opening file with annotation-end element
Summary: Read-error when opening file with annotation-end element
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-04 17:48 UTC by Thom Brown
Modified: 2015-08-18 21:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File with content revealing bug. (14.83 KB, application/vnd.oasis.opendocument.text)
2014-02-04 17:48 UTC, Thom Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thom Brown 2014-02-04 17:48:55 UTC
Created attachment 93395 [details]
File with content revealing bug.

Problem description:

A file with particular content created in LibreOffice Writer 4.0 cannot be opened in 4.3 Git master.


Steps to reproduce:
(NB: I can't determine how I added the content in question, but it exists in a template file that's been in use for some time)

1) Attempt to open the attached file in Writer 4.3 or above.


Expected behaviour:

File opens and displays contents. (appears to just contain a comment)


Actual behaviour:

Error message displayed in dialogue box: "Read-Error.  Error reading file."


This issue may actually exist in 4.2, but I don't have 4.2 installed.
Comment 1 tommy27 2014-02-14 20:42:06 UTC
reproducible on Win7 64bit too using  4.3.0.0.alpha0+
Build ID: a995462e6855061816c6529c366f20ace2b45868
TinderBox: Win-x86@42, Branch:master, Time: 2014-01-31_23:29:34

file can be opened with no issue in 4.1.4.2 and 4.2.0.4, hence regression. 

adding Writer expert to CC list.
Comment 2 Michael Stahl (CIB) 2014-02-14 23:30:30 UTC
fixed on master
Comment 3 Commit Notification 2014-02-14 23:30:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf26d7614364176742ae0303efb4499a37ae04c8

fdo#74524: ODF import: fix unhandled exception in annotation import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-08-18 20:14:27 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5120b3f30614f6e4988c512577da1d70be8d25b1

Added Test for tdf#74524 ODF import of range annotation

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.